/*
** ===================================================================
** Nzev souboru   : lcd_c.c
** Mikrokontroler  : ATmega16
** Popis           : Hlavikov soubor pro komunikaci s lcd displejem
**				   : MC0802A-SYL/H s radicem ST7066U
** Autor           : Peter Fleury ( http://homepage.hispeed.ch/peterfleury/ )
**                 : Tom Frza ( fryza@feec.vutbr.cz )
**		   		   : Thomas Breining (breinint@esiee.fr)
**				   : Jan Vlim
** ===================================================================
*/
#ifndef _LIHEN_H
#define _LIHEN_H 1


/*
** Konstanty
*/
#define 	F_CPU 				16000000UL		//definovn frekvence osciltoru
#define		RTC 				0xA0			//adresa obvodu RTC
#define		min_adr 			0x03			//adresa registru minut
#define		hod_adr 			0x04			//adresa registru hodin

#define TL1_PORT		PINB	// vstupni port pro tlacitko1
#define TL2_PORT		PINB	// vstupni port pro tlacitko2
#define TL3_PORT		PIND	// vstupni port pro tlacitko3
#define TL4_PORT		PIND	// vstupni port pro tlacitko4
#define RELE_PORT		PORTD	// vystupni port pro tlacitko4

#define TL1_BIT			0		// cislo pinu pro tlacitko1
#define TL2_BIT			1		// cislo pinu pro tlacitko2
#define TL3_BIT			5		// cislo pinu pro tlacitko3
#define TL4_BIT			6		// cislo pinu pro tlacitko4
#define RELE_BIT1		PORTD0	// cislo pinu pro kontakt rele
#define RELE_BIT2		PORTD1	// cislo pinu pro kontakt rele

#define COMP_REG1A		4688	// nastaveni hodnoty porovnavaciho reg. asi 300ms
#define CAS_OTOC		4		// doba po ktere se provede otoceni v hodinach

#define mot_vyp 		DDRD &= ~(_BV(DDD7))		// vypnuti motoru	
#define mot_zap 		DDRD |= _BV(DDD7);			// zapnuti motoru
#define mot_smer1 		PORTA |= _BV(PORTA1);\
PORTA &= ~(_BV(PORTA0))			// zajisteni aby nebyly spusteny oba smery naraz
#define mot_smer2 		PORTA |= _BV(PORTA0);\
PORTA &= ~(_BV(PORTA1))			// zajisteni aby nebyly spusteny oba smery naraz
#define MOT_RYCHL		150		// nastaveni rychlosti otaceni vajice (dc motorku)
#define SW6_MOT			PINB2	// nastaveni rychlosti otaceni vajice (dc motorku)
#define SW7_MOT			PINB4	// nastaveni rychlosti otaceni vajice (dc motorku)

/*
** Prototypy funkc
*/
void nastav_16b_cit_cas(void);	// deklarace fce nastavujici 16b C/C
void nastav_cit_cas2(void);		// deklarace fce nastavujici 8b C/C2
void nastav_cit_cas0(void);		// deklarace fce nastavujici 8b C/C0
void nastav_porty(void);		// deklarace fce nastavujici piny portu

#endif


/*
** Konec hlavikovho souboru
*/
